package com.example.sukanya.myapplication;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import java.io.Console;

public class MainActivity extends AppCompatActivity {
    WebView mywebview ;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        mywebview = (WebView) findViewById(R.id.webView1);
        mywebview.loadUrl("https://india.gov.in/website-ministry-commerce-and-industry");
        mywebview.setWebViewClient(new HelloWebViewClient());
    }
    private class HelloWebViewClient extends WebViewClient
    {
        @Override
        public boolean shouldOverrideUrlLoading(WebView view, String url)
        {
            Log.d("SAMPLE APP", "shouldOverrideUrlLoading: "+url);
           if (url.endsWith(".pdf"))
            {
//                String googleDocs = "https://docs.google.com/viewer?url=";
//                mywebview.loadUrl(googleDocs + url);
                Intent intent = new Intent(Intent.ACTION_VIEW);
                intent.setData(Uri.parse(url));
                startActivity(intent);
            }
            else
            {
                // Load all other urls normally.
                view.loadUrl(url);
            }
            return false;
        }
    }
}
